2

I'd liked to be able to run lualatex with a minimal TeX Live installation using tlmgr.

I've tried to start installing scheme-minimal but then cannot find what I should add to have the lualatex binary.

I've already added a number of individual packages (not especially related to LuaLateX) plus collection-luatex and lualatex-math. I thought maybe one of these two would come with lualatex as a dependency.

I've checked the $PATH is correct and also looked for the binary, but it's nowhere to be found, I only get directories:

# find / -name lualatex
/usr/local/texlive/2020/texmf-dist/doc/lualatex
/usr/local/texlive/2020/texmf-dist/tex/lualatex
/usr/local/texlive/2020/texmf-dist/source/lualatex
#

luatex binary got installed, though.

I've already seen that installing scheme-medium should solve the problem, but I'd really liked to get the minimal installation size: I'm automating this install along several other things on a server and the minimal size for what is strictly required is important. If there's no other way than installing scheme-medium, then I'll do it, but I do hope there is another way.

I've been browsing CTAN website in vain and been doing a lot of tlmgr info --list collection-something and other tlmgr info --list package-that-looks-related but can't find the right collection or package. Where is it hidden?

(I don't think this is relevant, but this is all hosted in fresh up-to-date FreeBSD 12.1 jail)

2
  • If you want small, you have to take a scheme and add individual packages ...
    – Joseph Wright
    Jun 3, 2020 at 16:23
  • @JosephWright That's what I try to do starting with scheme-minimal, but which package would then bring lualatex binary?
    – zezollo
    Jun 3, 2020 at 16:27

1 Answer 1

2

Start from scheme-minimal, you will need to add at least latex-bin. This installs LaTeX and the necessary structures to do format-building. Without other packages, this only covers lualatex and pdflatex: you'd have to add xetex for xelatex, for example.


Dependencies in TeX Live are not 'hard': there is not a strict list of dependencies for every package going all the way down to scheme-infra-only. In particular, there is an assumption that all LaTeX packages depend implicitly on having LaTeX installed. That happens automatically with scheme-small but not scheme-minimal.

1
  • Great!! Thank you very much, it worked fine! I just wonder how I could have found out by myself. I cannot even find latex-bin on CTAN.
    – zezollo
    Jun 3, 2020 at 16:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.